Part Ellipsoid/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "Elipsoida środowiska pracy Część może być obcięta u góry i/lub u dołu przez zmianę jej właściwości {{PropertyData|Kąt1}} i/lub {{PropertyData|Kąt2}}. Można ją przekształcić w segment sfery, zmieniając jej właściwość {{PropertyData|Kąt3}}.")
(Created page with "==Przykład==")
Line 27: Line 27:
[[Image:Part_Ellipsoid_Example.png|400px]]
[[Image:Part_Ellipsoid_Example.png|400px]]


== Usage ==
<span id="Usage"></span>
==Użycie==


See [[Part_Primitives#Usage|Part Primitives]].
Zobacz stronę [[Part_Primitives/pl#Użycie|Geometrie pierwotne]].


== Example ==
<span id="Example"></span>
==Przykład==


[[Image:Part_Ellipsoid_Scripting_Example.png|thumb|Part Ellipsoid from the scripting example]]
[[Image:Part_Ellipsoid_Scripting_Example.png|thumb|Part Ellipsoid from the scripting example]]

Revision as of 16:29, 23 June 2023

Część Elipsoida

Lokalizacja w menu
Część → Utwórz geometrie pierwotne → Elipsoida
Środowisko pracy
Część, OpenSCAD
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Utwórz geometrię pierwotną

Opis

A Part Ellipsoid is a parametric solid that can be created with the Part Primitives command. In the coordinate system defined by its DANEPlacement property, the axes of the ellipsoid are aligned with the X, Y and Z axes, and therefore its center is positioned at the origin.

Elipsoida środowiska pracy Część może być obcięta u góry i/lub u dołu przez zmianę jej właściwości DANEKąt1 i/lub DANEKąt2. Można ją przekształcić w segment sfery, zmieniając jej właściwość DANEKąt3.

Użycie

Zobacz stronę Geometrie pierwotne.

Przykład

Part Ellipsoid from the scripting example

A Part Ellipsoid object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Ellipsoid object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Ellipsoid

  • DANERadius1 (Length): The radius of the ellipsoid in its Z direction. The default is 2mm.
  • DANERadius2 (Length): The radius of the ellipsoid in its X direction. The default is 4mm.
  • DANERadius3 (Length): The radius of the ellipsoid in its Y direction. The default is 4mm.
  • DANEAngle1 (Angle): The start angle of the elliptical sides of the ellipsoid. Valid range: -90° <= value < 90°. Must be smaller than DANEAngle2. The default is -90°.
  • DANEAngle2 (Angle): The end angle of the elliptical sides of the ellipsoid. Valid range: -90° < value <= 90°. Must be larger than DANEAngle1. The default is 90°. If the total angle of the elliptical sides is smaller than 180° the ellipsoid will be truncated and have a flat face at the top and/or bottom.
  • DANEAngle3 (Angle): The total angle of the ellipsoid in its XY plane. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of an ellipsoid.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Ellipsoid can be created with the addObject() method of the document:

ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")
  • Where "myEllipsoid" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

ellipsoid = doc.addObject("Part::Ellipsoid", "myEllipsoid")
ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 4
ellipsoid.Radius3 = 6
ellipsoid.Angle1 = -90
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300
ellipsoid.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(15, 0, 20))

doc.recompute()